# Sources from upstream git:
#
# git clone git://git.xfce.org/apps/gigolo
# cd gigolo
# git archive --format=tar --prefix=gigolo-20121225/ master | xz > ../gigolo-20121225.tar.xz
#

%define gitdate 20121225
%define rel	4

Summary:	Frontend for GIO/GVFS
Name:		gigolo
Version:	0.4.1
Release:	%mkrel 4.git%{gitdate}.%{rel}
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.uvena.de/gigolo/
#Source0:	http://files.uvena.de/gigolo/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{gitdate}.tar.xz
BuildRequires:	intltool
BuildRequires:	gtk+2-devel
BuildRequires:	xfce4-dev-tools
Suggests:	gvfs-obexftp
Suggests:	gvfs-smb
%description
Gigolo is a frontend to easily manage connections to remote filesystems 
using GIO/GVFS. It allows you to quickly connect/mount a remote filesystem 
and manage bookmarks of such.

%prep
%setup -qn %{name}-%{gitdate}

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x
%make

%install
%makeinstall_std

#handle docs in files section
rm -rf %{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4.1-4.git20121225.4.mga4
+ Revision: 523223
- Mageia 4 Mass Rebuild

* Sat Mar 30 2013 bersuit <bersuit> 0.4.1-4.git20121225.3.mga3
+ Revision: 406543
- Added Suggests gvfs-smb and gvfs-obexftp to fix bug 8530

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-4.git20121225.2.mga3
+ Revision: 351554
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 0.4.1-4.git20121225.1.mga3
+ Revision: 334889
- use latest git snapshot
- switch from waf to autotools
- clean .spec a bit

* Thu Mar 17 2011 steletch <steletch> 0.4.1-3.mga1
+ Revision: 73449
- Clean spec file
- imported package gigolo


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-3mdv2011.0
+ Revision: 633054
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-2mdv2011.0
+ Revision: 579665
- rebuild for new xfce 4.7.0

* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 565050
- New version 0.4.1

* Thu Dec 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-1mdv2010.1
+ Revision: 484472
- update to new version 0.4.0

* Fri May 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2010.0
+ Revision: 369236
- update to new version 0.3.2

* Mon Apr 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 364422
- update to new version 0.3.1

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-2mdv2009.1
+ Revision: 349143
- rebuild whole xfce

* Mon Feb 23 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-1mdv2009.1
+ Revision: 344142
- update to new version 0.2.1

* Sat Feb 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-1mdv2009.1
+ Revision: 340221
- upstream has changed name to gigolo ;)
- new version 0.2.0
- upstream has changed name

* Sun Jan 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-1mdv2009.1
+ Revision: 324335
- add missing buildrequires
- add source and spec files
- Created package structure for sion.

